Javascript Buttons Buttons for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Buttons for Javascript

light
dark

Change the theme setting here

Buttons - Basic styling

Change demo
Basic styling

Use the buttons on any mobile and desktop form or page. The buttons come with several rendering modes and styles. Use it as:

  • fluid width buttons (the buttons grow with their content)
  • justified
  • full width buttons

Icon support is built in along with three different styles:

  • filled buttons
  • flat buttons
  • outlined buttons
Customize the look & feel:  See how to apply color presets →

Buttons - Segmented

Change demo
Segmented

Use the segmented control to render multiple options with single or multiple select. It can be used as tabs, as a compact multi-choice UI instead of a checklist and even as an alternative to a radio buttons.

Buttons - Stepper

Change demo
Stepper

Use the stepper to enable controlled increasing and decreasing of values. Configure the steps and choose to provide an input for manual entry with or without a numeric keypad.

// Use the settings object to change the theme
mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

var numpadInstance,
    stepperCons = document.querySelector('.md-consumption'),
    luggageStepper = document.querySelector('.md-luggage'),
    numpadCons = document.querySelector('.md-numpad');

document
    .querySelector('.md-allow')
    .addEventListener('change', function (ev) {
        luggageStepper.disabled = !this.checked;
    });

numpadInstance = mobiscroll.numpad('.md-numpad', {
    preset: 'decimal',
    min: 5,
    max: 120,
    onSet: function (event, inst) {
        stepperCons.value = event.valueText;
    }
});

numpadInstance.setVal(stepperCons.value);

numpadInstance.attachShow(stepperCons);

stepperCons.addEventListener('change', function (ev) {
    numpadCons.value = this.value;
});
<div id="demo" style="display:none" mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Passengers</div>
        <div>
            <label for="md-adults">Adults</label>
            <span class="mbsc-desc">From 14 years</span>
            <input id="md-adults" type="number" data-role="stepper" min="1" value="1" max="15" />
        </div>

        <div>
            <label for="md-children">Children</label>
            <span class="mbsc-desc">2-14 years</span>
            <input id="md-children" type="number" data-role="stepper" max="15" data-val="left" />
        </div>

        <div>
            <label for="md-infant">Infant</label>
            <span class="mbsc-desc">0-2 years</span>
            <input id="md-infant" type="number" data-role="stepper" data-val="left" max="10" />
        </div>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Luggage</div>
        <label>
            Allow overweight luggage
            <input class="md-allow" type="checkbox" />
        </label>

        <div>
            <label for="md-luggage">Weight</label>
            <span class="mbsc-desc">(kg)</span>
            <input id="md-luggage" type="number" class="md-luggage" data-role="stepper" data-val="left" min="30" max="80" step="5" value="30" disabled />
        </div>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Stepper with Numpad</div>

        <div>
            <label for="md-luggage">Consumption</label>
            <div class="mbsc-desc">(mpg)</div>
            <input id="md-consumption" class="md-consumption" type="number" data-role="stepper" data-val="left" min="5" max="120" step=".5" value="30" readonly />
            <div class="md-numpad"></div>
        </div>
    </div>
</div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Buttons Buttons for React

You are looking at v3 demos, switch to Mobiscroll 4?

Buttons for React

light
dark

Change the theme setting here

Buttons - Basic styling

Change demo
Basic styling

Use the buttons on any mobile and desktop form or page. The buttons come with several rendering modes and styles. Use it as:

  • fluid width buttons (the buttons grow with their content)
  • justified
  • full width buttons

Icon support is built in along with three different styles:

  • filled buttons
  • flat buttons
  • outlined buttons
Customize the look & feel:  See how to apply color presets →

Buttons - Segmented

Change demo
Segmented

Use the segmented control to render multiple options with single or multiple select. It can be used as tabs, as a compact multi-choice UI instead of a checklist and even as an alternative to a radio buttons.

Buttons - Stepper

Change demo
Stepper

Use the stepper to enable controlled increasing and decreasing of values. Configure the steps and choose to provide an input for manual entry with or without a numeric keypad.

var FormsDemo = React.createClass({
    getInitialState: function() {
        return {
            adults: 1,
            children: 0,
            infants: 0,
            allowOverweight: false,
            weight: 30,
            stepperCons: 30,
            numpadCons: 30
        };
    },
    adultChange: function(value) {
        this.setState({ adults: value });
    },
    childrenChange: function(value) {
        this.setState({ children: value });
    },
    infantChange: function(value) {
        this.setState({ infants: value });
    },
    overwChange: function(event) {
        //this.refs.luggage.inputNode.disabled = !event.target.checked;
        this.setState({ allowOverweight: event.target.checked });
    },
    show: function() {
        this.refs.numpad.instance.show();
    },
    consumption: function(event, inst) {
        this.setState ({
            numpadCons: event.target.value
        });
    },
    onSet: function(event, inst) {
        this.setState ({
            stepperCons: event.valueText
        });
    },
    render: function() {
        return (
            <mobiscroll.Form theme=" "  themeVariant=" " lang=" ">
                <div className="mbsc-form-group">
                    <div className="mbsc-group-title">Passengers</div>
                    <mobiscroll.Stepper theme=" "  themeVariant=" " type="number" data-role="stepper" min={1} max={15} value={this.state.adults} onChange={this.adultsChange}>
                        <label>Adults</label>
                        <span className="mbsc-desc">From 14 years</span>
                    </mobiscroll.Stepper>
    
                    <mobiscroll.Stepper theme=" "  themeVariant=" " type="number" data-role="stepper" max={15} data-val="left" value={this.state.children} onChange={this.childrenChange}>
                        <label>Children</label>
                        <span className="mbsc-desc">2-14 years</span>
                    </mobiscroll.Stepper>
    
                    <mobiscroll.Stepper theme=" "  themeVariant=" " type="number" data-role="stepper" data-val="left" max={10} value={this.state.infants} onChange={this.infantChange}>
                        <label>Infant</label>
                        <span className="mbsc-desc">0-2 years</span>
                    </mobiscroll.Stepper>
                </div>
                <div className="mbsc-form-group">
                    <div className="mbsc-form-group-title">Luggage</div>
    
                    <label>
                        Allow overweight luggage
                        <input type="checkbox" className="md-allow" checked={this.state.allowOverweight} onChange={this.overwChange} />
                    </label>
    
                    <mobiscroll.Stepper theme=" "  themeVariant=" " type="number" disabled={!this.state.allowOverweight} value={this.state.weight} className="md-luggage" data-role="stepper" data-val="left" min={30} max={80} step={5}>
                        <label>Weight</label>
                        <span className="mbsc-desc">(kg)</span>
                    </mobiscroll.Stepper>
                </div>
                <div className="mbsc-form-group">
                    <div className="mbsc-form-group-title">Stepper with Numpad</div>
    
                    <mobiscroll.Stepper theme=" "  themeVariant=" " onChange={this.consumption} onClick={this.show} className="md-consumption" type="number" data-role="stepper" min={5} max={120} step={.5} value={this.state.stepperCons} readonly>
                        <label>Consumption</label>
                        <div className="mbsc-desc">(mpg)</div>
                    </mobiscroll.Stepper>
                    <mobiscroll.Numpad
                        ref="numpad"
                        className="md-numpad"
                        theme=" " 
                        themeVariant=" "
                        type="hidden"
                        preset="decimal"
                        min={5}
                        max={120}
                        value={this.state.numpadCons}
                        onSet={this.onSet}
                    />
                </div>
            </mobiscroll.Form>
        );
    }    
});

<div id="content"></div>

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos